SDL_WriteIO(3)

NAME
SDL_WriteIO - Write to an SDL_IOStream data stream.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

size_t SDL_WriteIO(SDL_IOStream *context, const void *ptr, size_t size);

DESCRIPTION
This function writes exactly size bytes from the area pointed at by ptr to the stream. If this fails for any reason, it'll return less than size to demonstrate how far the write progressed. On success, it returns size.

On error, this function still attempts to write as much as possible, so it might return a positive value less than the requested write size.

The caller can use SDL_GetIOStatus() to determine if the problem is recoverable, such as a non-blocking write that can simply be retried later, or a fatal error.

FUNCTION PARAMETERS

context
    a pointer to an SDL_IOStream structure.

ptr a pointer to a buffer containing data to write.

size
    the number of bytes to write.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_IOprintf(3), SDL_ReadIO(3), SDL_SeekIO(3), SDL_FlushIO(3), SDL_GetIOStatus(3)